/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service16
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service16Impl.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service16Impl::Service16Impl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


Service16Impl::~Service16Impl()
{
	return;
}

// Implementation

std::string Service16Impl::operation1(const inputType input) {
	return serviceName + " operation1 invoked";
}
