/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface
 * @author Bryan Aupperle
 *
 */

#include <string>

class  Service14 {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as either a string or a long
	 * @return - output data as a std::string
	 */
	virtual std::string operation1(const std::string input) const = 0;

	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as either a string or a long
	 * @return - output data as a std::string
	 */
	std::string operation2(const std::string input);

};
