/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service20
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service20Impl.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service20Impl::Service20Impl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


Service20Impl::~Service20Impl()
{
	return;
}

// Implementation

std::string Service20Impl::operation1(const std::string input) {
	return serviceName + " operation1 invoked";
}
