/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import testClient.TestInvocation;

/**
 * Client for CPP_2006_TestCase
 * Tests that functions excluded from a service interface cannot be invoked.
 */
public class CPP_2006_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 			= config.testName + " " + config.input + "Test service got an error during execution";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= null;
    	config.contributionNames	= new String[] { "cppcni" };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_CPP_2006
