/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import testClient.TestInvocation;

/**
 * Client for CPP_3001_TestCase
 * Tests that client can invoke any member of a interface via a proxy.
 */
public class CPP_3001_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 			= onfig.testName + " " + config.input + " service1 operation2 invoked";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= null;
    	config.contributionNames	= new String[] { "cppcni" };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_CPP_3001
