/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import testClient.TestInvocation;

/**
 * Client for CPP_A007_TestCase
 * Tests that @Scope generates correct SCDL.
 */
public class CPP_A007_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 			= config.testName + " " + config.input + " request service1 operation1 invoked service2 operation 1 invoked a service2 operation 1 invoked b";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= null;
    	config.contributionNames	= new String[] { "cppcni", "cppcni_annot" };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_CPP_A007
