/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service15
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service15Impl.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service15Impl::Service15Impl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


Service15Impl::~Service15Impl()
{
	return;
}

// Implementation

STRING Service15Impl::operation1(const STRING input) {
	return serviceName + " operation1 invoked";
}
