/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service21
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service21.h"
#include <string>

class Service21Impl : public Service21 {
public:
	// @Property
	std::string serviceName;

	Service21Impl();
	virtual ~Service21Impl();

	virtual std::string operation1(const std::string input);
	virtual short operation2(int a, long b, long long c);
	virtual unsigned short operation3(unsigned int a, unsigned long b, unsigned long long c);
	virtual unsigned char operation4(signed char a, char b);
	virtual float operation5(double a, long double b);
	virtual int8_t operation6(int16_t a, int32_t b, int64_t c);
	virtual uint8_t operation7(uint16_t a, uint32_t b, uint64_t c);
	virtual wchar_t *operation8(wchar_t a, commonj::sdo::DataObjectPtr b, const char *c);
	virtual bool operation9(time_t a,  struct tm b);

};
