/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface
 * @author Bryan Aupperle
 *
 */

#include "Service22Super.h"
#include <string>

// @Remotable
class Service22: public Service22Super {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as a std::string
	 * @return - output data as a std::string
	 */
	virtual std::string operation2(const std::string input) const = 0;

};
