/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service24
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service24Impl.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service24Impl::Service24Impl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


Service24Impl::~Service24Impl()
{
	return;
}

// Implementation

std::string Service24Impl::operation1(const std::string input) {
	return "operation1 invoked";
}

void Service24Impl::operation2(float a) {
	return;
}
