/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface
 * @author Bryan Aupperle
 *
 */

#include "commonj/sdo/sdo.h"

// @Remotable
class Service40 {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - operation1 parameter(s) as a commonj::sdo::DataObjectPtr
	 * @return - output data as a commonj::sdo::DataObjectPtr
	 */
	virtual commonj::sdo::DataObjectPtr operation1(commonj::sdo::DataObjectPtr operation1) const = 0;
};
