/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service46
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service46Impl.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
#include <unistd.h>
using namespace oasis::sca;

// Construction/Destruction

Service46Impl::Service46Impl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


Service46Impl::~Service46Impl()
{
	return;
}

// Implementation

std::string Service46Impl::operation1(const std::string input) {
	sleep(10);
	return serviceName + " operation1 invoked";
}
