/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service47, which has a callback
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service47.h"
#include "Service47CallbackProxy.h"
#include <string>

class Service47Impl : public Service47 {
public:
	// @Property
	std::string serviceName;

	Service47CallbackProxyPtr callback1;

	Service47Impl();
	virtual ~Service47Impl();

	virtual std::string operation1(const std::string input);

};
