/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service1Intent
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service1Intent.h"
#include <string>

class Service1ImplIntent : public Service1Intent {
public:
	// @Property
	std::string serviceName;

	Service1ImplIntent();
	virtual ~Service1ImplIntent();

	virtual std::string operation1(const std::string input);

};
