/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service1Requires
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service1Requires.h"
#include <string>

class Service1ImplRequires : public Service1Requires {
public:
	// @Property
	std::string serviceName;

	Service1ImplRequires();
	virtual ~Service1ImplRequires();

	virtual std::string operation1(const std::string input);

};
