/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service42
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service42.h"
#include <string>

class Service42Impl : public Service42 {
public:
	// @Property
	std::string serviceName;

	Service42Impl();
	virtual ~Service42Impl();

	virtual std::string operation1(const char* input);

};
