/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ exception implementation
 *
 * @author Bryan Aupperle
 *
 */

#include "OperationFault.h"

// Construction

OperationFault::OperationFault(const char* message, const std::string& faultInfo)
{
	faultData = faultInfo;
};

std::string OperationFault::getFaultInfo() const
{
	return faultData;
};

