/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service19U
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service19U.h"
#include <string>
#include <stdint.h>

class Service19ImplU : public Service19U {
public:
	// @Property
	std::string serviceName;

	Service19ImplU();
	virtual ~Service19ImplU();

	virtual std::string operation1(const std::string input);

	virtual int16_t operation2(int16_t index, int16_t& size, std::string input);

};
