/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service1U
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service1U.h"
#include <string>

class Service1ImplU : public Service1U {
public:
	// @Property
	std::string serviceName;

	Service1ImplU();
	virtual ~Service1ImplU();

	virtual std::string operation1(const std::string input);

};
