/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service32
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service32.h"
#include <string>

class Service32Impl : public Service32 {
public:
	// @Property
	std::string serviceName;

	Service32Impl();
	virtual ~Service32Impl();

	virtual std::string operation1(const std::string input);
	virtual int16_t operation2(int16_t a, int32_t b, int64_t c);
	virtual uint16_t operation3(uint16_t a, uint32_t b, uint64_t c);
	virtual bool operation4(bool a);
	virtual float operation5(double a);
	virtual std::string operation6(std::string a, std::string b, std::string c, std::string d, std::string e);
	virtual char *operation7(char *a);
	virtual std::string operation8(std::string a, std::string b);
	virtual std::string operation9(std::string a, std::string b, std::string c);
	virtual std::string operation10(std::string a, std::string b, std::string c, std::string d);
	virtual std::string operation11(std::string a, std::string b, std::string c);
	virtual std::string operation12(std::string a, std::string b, std::string c, std::string d);
	virtual std::string operation13(std::string a, std::string b, std::string c, commonj::sdo::DataObjectPtr d);

};
