/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface
 * @author Bryan Aupperle
 *
 */

#include <string>

class inputType {
public:
	std::string string;
	long value;
};

class  Service16 {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as either a string or a long
	 * @return - output data as a std::string
	 */
	virtual std::string operation1(const inputType input) const = 0;

};
