/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service30
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service30.h"
#include <string>

class Service30Impl : public Service30 {
public:
	// @Property
	std::string serviceName;

	Service30Impl();
	virtual ~Service30Impl();

	virtual std::string operation1(const std::string input);

	virtual std::string operation2(const std::string input);

};
