/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service27
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service27Impl.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service27Impl::Service27Impl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


Service27Impl::~Service27Impl()
{
	return;
}

// Implementation

std::string Service27Impl::operation1(const std::string input) {
	return "operation1 invoked";
}

std::string Service27Impl::operation2(const std::string input) {
	return "operation2 invoked";
}
