/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service40
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service40Impl.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service40Impl::Service40Impl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


Service40Impl::~Service40Impl()
{
	return;
}

// Implementation

commonj::sdo::DataObjectPtr Service40Impl::operation1(commonj::sdo::DataObjectPtr operation1) {
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataFactoryPtr df = context->getDataFactory();
	commonj::sdo::DataObjectPtr result = df->create("","result");
	result->setString("result", "operation1 invoked");
	return result;
}
