/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service11
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service11.h"
#include <string>

class Service11Impl : public Service11 {
public:
	// @Property
	std::string serviceName;

	Service11Impl();
	virtual ~Service11Impl();

	virtual std::string operation1(const std::string input);

	virtual std::string operation2(const std::string input);

};
