/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service5, which has a callback
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service12.h"
#include "Service12CallbackProxy.h"
#include <string>

class Service12Impl : public Service12 {
public:
	// @Property
	std::string serviceName;

	Service12CallbackProxyPtr callback1;

	Service12Impl();
	virtual ~Service12Impl();

	virtual std::string operation1(const std::string input);

};
