/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface
 * @author Bryan Aupperle
 *
 */

#if LIB_BUILD
#  define DECLSPEC __declspec(dllimport)
#else
#  define DECLSPEC __declspec(dllexport)
#endif

#include <string>

typedef std::string STRING;

class DECLSPEC Service15 {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as a std::string
	 * @return - output data as a std::string
	 */
	virtual STRING operation1(const STRING input) const = 0;

};
