/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service1.h"
#include <string>

// @Scope("composite")
class Service1Impl12 : public Service1 {
private:
	char classStr[2];

public:
	// @Property
	std::string serviceName;

	Service1Impl12();
	virtual ~Service1Impl12();

	virtual std::string operation1(const std::string input);

};
