/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * Simple C++ component implementation for business interface Service1Superset
 * missing a member function
 * @author Bryan Aupperle
 *
 */

#include "Service1SupersetImpl2.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service1SupersetImpl2::Service1SupersetImpl2()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");
	
	return;
}


Service1SupersetImpl2::~Service1SupersetImpl2()
{
	return; 
}

// Implementation

// operation1 not implemented

std::string Service1SupersetImpl2::operation2(const std::string input) {
	return serviceName + " operation2 invoked";
}
