/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service1
 * 1 service with interface Service16
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service1.h"
#include "Service16.h"
#include <string>

class Service1_16Impl : public Service1, Service16 {
public:
	// @Property
	std::string serviceName;

	Service1_16Impl();
	virtual ~Service1_16Impl();

	virtual std::string operation1(const std::string input);

	virtual std::string operation2(const std::string input);

};
