/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service24
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service24.h"
#include <string>

class Service24Impl : public Service24 {
public:
	// @Property
	std::string serviceName;

	Service24Impl();
	virtual ~Service24Impl();

	virtual std::string operation1(const std::string input);

	virtual void operation2(float a);

};
