/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service11A
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service11A.h"
#include <string>

class Service11ImplA : public Service11A {
public:
	// @Property
	std::string serviceName;

	Service11ImplA();
	virtual ~Service11ImplA();

	virtual std::string operation1(const std::string input);

	virtual std::string operation2(const std::string input);

};
