/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service11W
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service11ImplW.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service11ImplW::Service11ImplW()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


Service11ImplW::~Service11ImplW()
{
	return;
}

// Implementation

std::string Service11ImplW::operation1(const std::string input) {
	return "operation1 invoked";
}

std::string Service11ImplW::operation2(const std::string input) {
	return serviceName + " operation1 invoked";
}
