/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service24OW
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service24OW.h"
#include <string>

class Service24OWImpl : public Service24OW {
public:
	// @Property
	std::string serviceName;

	Service24OWImpl();
	virtual ~Service24OWImpl();

	virtual std::string operation1(const std::string input);

	virtual void operation2(float a);

};
