/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation with
 * 1 service with interface Service5, which has a callback
 * @author Bryan Aupperle
 *
 */

#include "Service5ImplA.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service5ImplA::Service5ImplA()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


Service5ImplA::~Service5ImplA()
{
	return;
}

// Implementation

std::string Service5ImplA::operation1(const std::string input) {
	return serviceName + " operation1 invoked";
}
