/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service5, which has a callback
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service5A.h"
#include <string>

class Service5ImplA : public Service5A {
public:
	// @Property
	std::string serviceName;

	Service5ImplA();
	virtual ~Service5ImplA();

	virtual std::string operation1(const std::string input);

};
