/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service25
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service25.h"
#include <string>

class Service25Impl : public Service25 {
public:
	// @Property
	std::string serviceName;

	Service25Impl();
	virtual ~Service25Impl();

	virtual std::string operation1(const std::string input);

	virtual std::string operation2(const std::string input);

};
