/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service19ImplU.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service19ImplU::Service19ImplU()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


Service19ImplU::~Service19ImplU()
{
	return;
}

// Implementation

std::string Service19ImplU::operation1(const std::string input) {
	return serviceName + " operation1 invoked";
}

int16_t Service19ImplU::operation2(int16_t index, int16_t& size, std::string input) {
	return index;
}
