/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service32
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service32Impl.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service32Impl::Service32Impl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


Service32Impl::~Service32Impl()
{
	return;
}

// Implementation

std::string Service32Impl::operation1(const std::string input) {
	return serviceName + " operation1 invoked";
}

int16_t Service32Impl::operation2(int16_t a, int32_t b, int64_t c) {
	return 0;
}

uint16_t Service32Impl::operation3(uint16_t a, uint32_t b, uint64_t c) {
	return 0;
}

bool Service32Impl::operation4(bool a) {
	return 0;
}

float Service32Impl::operation5(double a) {
	return 0;
}

std::string Service32Impl::operation6(std::string a, std::string b, std::string c, std::string d, std::string e) {
	return "";
}

char *Service32Impl::operation7(char *a) {
	return "";
}

std::string Service32Impl::operation8(std::string a, std::string b) {
	return "";
}

std::string Service32Impl::operation9(std::string a, std::string b, std::string c) {
	return "";
}

std::string Service32Impl::operation10(std::string a, std::string b, std::string c, std::string d) {
	return "";
}

std::string Service32Impl::operation11(std::string a, std::string b, std::string c) {
	return "";
}

std::string Service32Impl::operation12(std::string a, std::string b, std::string c, std::string d) {
	return "";
}

std::string Service32Impl::operation13(std::string a, std::string b, std::string c, commonj::sdo::DataObjectPtr d) {
	return "";
}
